> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fincode.technology/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Transaction

> Create a bank transfer transaction.



## OpenAPI

````yaml POST /gateway/transaction/banktransfers
openapi: 3.0.0
info:
  title: FinCode API
  version: v6
servers:
  - url: https://{tenant}.fincode.software/api/v6/services
    description: API v6
    variables:
      tenant:
        default: remitjunction
        description: Enter your tenant subdomain
  - url: https://{tenant}.fincode.software/api/v1/services
    description: API v1
    variables:
      tenant:
        default: finlend
        description: Enter your tenant subdomain
  - url: https://api.stag.songhaiexchange.io
    description: Songhai Exchange API
security: []
paths:
  /gateway/transaction/banktransfers:
    post:
      tags:
        - Transaction
      summary: Create Transaction
      description: Create a bank transfer transaction.
      operationId: createTransaction
      parameters:
        - name: Authorization
          in: header
          schema:
            type: string
          required: true
          description: Bearer token
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                payloadDTOList:
                  type: array
                  items:
                    type: object
                    properties:
                      methodName:
                        type: string
                        enum:
                          - SENDTRANSGENERIC
                      pluginName:
                        type: string
                        enum:
                          - SONGHAI_EXCHANGE_MONEY
                      transactionRequest:
                        type: object
                        properties:
                          agent:
                            type: string
                          receiver_address:
                            type: string
                          receiver_bank_account_name:
                            type: string
                          receiver_bank_account_no:
                            type: string
                          receiver_bank_code:
                            type: string
                          receiver_city:
                            type: string
                          receiver_country_iso3:
                            type: string
                          receiver_curency:
                            type: string
                          receiver_first_name:
                            type: string
                          receiver_last_name:
                            type: string
                          receiver_mobile_number:
                            type: string
                          receiving_amount:
                            type: number
                          reference_code:
                            type: string
                          send_amount:
                            type: number
                          sender_address_line1:
                            type: string
                          sender_country_iso3:
                            type: string
                          sender_date_of_birth:
                            type: string
                          sender_first_name:
                            type: string
                          sender_last_name:
                            type: string
                          sender_zip_code:
                            type: string
                          sending_currency:
                            type: string
                          transaction_narration:
                            type: string
                          transaction_type:
                            type: string
                            enum:
                              - AIRTIME_TOPUP
                              - ACCOUNTPAYMENT
                              - ACCOUNTPAYMENT_DEBIT_CARD
                              - ACCOUNTPAYMENT_CREDIT_CARD
                              - CASHPICKUP
                              - CURRENCY_CONVERTER
                              - CRYPTO_CURRENCY
                              - BILL_PAYMENT
                              - WALLET
                              - MERCHANT_PRODUCT
                              - MOBILE_MONEY
                              - MERCHANT_PAYMENT
                          transaction_purpose:
                            type: string
                            enum:
                              - FAMILY_SUPPORT
                              - EDUCATION
                              - GIFT_AND_DONATION
                              - MEDICAL_TREATMENT
                              - MAINTENANCE_EXPENSES
                              - TRAVEL
                              - SMALL_VALUE_REMITTANCE
                              - LIBERALIZED_REMITTANCE
                              - OTHER
                          receiver_occupation:
                            type: string
                          sender_occupation:
                            type: string
                          beneficiaryRelationship:
                            type: string
                            enum:
                              - FRIENDS
                              - PARENTS
                              - RELATIVES
                              - SPOUSE
                              - AUNT
                              - BROTHER
                              - BROTHER_IN_LAW
                              - COUSIN
                              - DAUGHTER
                              - FATHER
                              - FATHER_IN_LAW
                              - FRIEND
                              - GRAND_FATHER
                              - GRAND_MOTHER
                              - HUSBAND
                              - MOTHER
                              - MOTHER_IN_LAW
                              - NEPHEW
                              - NIECE
                              - SELF
                              - SISTER
                              - SISTER_IN_LAW
                              - SON
                              - UNCLE
                              - WIFE
                              - OTHER
                              - BANKING
                              - BUSINESS_PARTNER
                              - BUYER_MERCHANT
                              - CHARITY
                              - CLIENT
                              - CONTRACTOR
                              - COOPERATE_SERVICE
                              - EMPLOYEE
                              - INVESTOR
                              - REGULATOR
                              - SPONSOR
                              - RELATED_ENTITY
                              - VENDOR
      responses:
        '200':
          description: Transaction Created
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    pay_out_party_trans_status:
                      type: string
                    reference_code:
                      type: string
                    status:
                      type: string
                    pay_out_party_trans_id:
                      type: string
                      nullable: true
                    msg_note:
                      type: string
                    msg_code:
                      type: string
                    newAccountCreated:
                      type: boolean
                    autoAccountCreationEnabled:
                      type: boolean
                    accountPaymentRedirectedEnabled:
                      type: boolean
                    accountPaymentRedirected:
                      type: boolean
                    originalPaymentInstructionAccountNumber:
                      type: string
                    redirectedAccountNumber:
                      type: string
                      nullable: true
                    accountBankCode:
                      type: string
                    inflowRequestDate:
                      type: string
                      nullable: true
                    executionDate:
                      type: string
                      nullable: true
                    lastUpdate:
                      type: string
                      nullable: true
                    inflowRequestResendCount:
                      type: integer
                    resendCount:
                      type: integer
      servers:
        - url: https://api.stag.songhaiexchange.io

````